<<< Previous |  | Next >>>

# FcDirCacheRead

## Name

FcDirCacheRead -- read or construct a directory cache

## Synopsis

    #include <fontconfig.h>

``FcCache * `FcDirCacheRead``(const FcChar8 *`dir`, FcBool `force`, FcConfig *`config`);`

## Description

This returns a cache for `dir`. If `force` is FcFalse, then an existing, valid cache file will be used. Otherwise, a new cache will be created by scanning the directory and that returned.

## Version

Fontconfig version 2.8.0

<<< Previous | Home | Next >>>
FcDirCacheLoad | Up | FcDirCacheLoadFile